Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update git automation target branche

PATCH/workspaces/{organizationId}/git-automation-target-branches/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
patternstring
Responses
200

Target branch updated

idstringrequired
organizationIdstringrequired
namestringrequired
patternstring | nullrequired
createdAtstringrequired
404

Target branch not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/git-automation-target-branches/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "pattern": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "pattern": "string",
  "createdAt": "string"
}